ToolBarSeparatorImage.SeparatorData (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.html.images.ToolBarSeparatorImage.SeparatorData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class ToolBarSeparatorImage.SeparatorData

    java.lang.Object
      org.richfaces.renderkit.html.images.ToolBarSeparatorImage.SeparatorData

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ToolBarSeparatorImage

    protected static class ToolBarSeparatorImage.SeparatorData

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `ToolBarSeparatorImage.SeparatorData()`

Method Summary
`int` | `getFontSize()`
`int` | `getHeaderBackgroundColor()`
`int` | `getHeaderGradientColor()`
`int` | `getHeaderTextColor()`
`int` | `getSeparatorHeight()`
`void` | `setFontSize(int fontSize)`
`void` | `setHeaderBackgroundColor(int bgColor)`
`void` | `setHeaderGradientColor(int headerGradientColor)`
`void` | `setHeaderTextColor(int textColor)`
`void` | `setSeparatorHeight(int separatorHeight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarSeparatorImage.SeparatorData

    protected ToolBarSeparatorImage.SeparatorData()

Method Detail

### getHeaderBackgroundColor

    public int getHeaderBackgroundColor()

### setHeaderBackgroundColor

    public void setHeaderBackgroundColor(int bgColor)

### getHeaderTextColor

    public int getHeaderTextColor()

### setHeaderTextColor

    public void setHeaderTextColor(int textColor)

### getFontSize

    public int getFontSize()

### setFontSize

    public void setFontSize(int fontSize)

### getSeparatorHeight

    public int getSeparatorHeight()

### setSeparatorHeight

    public void setSeparatorHeight(int separatorHeight)

### getHeaderGradientColor

    public int getHeaderGradientColor()

### setHeaderGradientColor

    public void setHeaderGradientColor(int headerGradientColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.